if not WeakAuras.IsLibsOK() then return end
--- @type string, Private
local AddonName, Private = ...

local WeakAuras = WeakAuras;
local L = WeakAuras.L;

local encounter_list = ""
function Private.InitializeEncounterAndZoneLists() -- TODO
  if encounter_list ~= "" then
    return
  end
  local raids = {
    {
      L["Vault of Archavon"],
      {
        { L["Archavon the Stone Watcher"], 772 },
        { L["Emalon the Storm Watcher"], 774 },
        { L["Koralon the Flame Watcher"], 776 },
        { L["Toravon the Ice Watcher"], 885 },
      }
    },
    {
      L["Naxxramas"],
      {
        -- The Arachnid Quarter
        { L["Anub'Rekhan"], 1107 },
        { L["Grand Widow Faerlina"], 1110 },
        { L["Maexxna"], 1116 },
        -- The Plague Quarter
        { L["Noth the Plaguebringer"], 1117 },
        { L["Heigan the Unclean"], 1112 },
        { L["Loatheb"], 1115 },
        -- The Military Quarter
        { L["Instructor Razuvious"], 1113 },
        { L["Gothik the Harvester"], 1109 },
        { L["The Four Horsemen"], 1121 },
        -- The Construct Quarter
        { L["Patchwerk"], 1118 },
        { L["Grobbulus"], 1111 },
        { L["Gluth"], 1108 },
        { L["Thaddius"], 1120 },
        -- Frostwyrm Lair
        { L["Sapphiron"], 1119 },
        { L["Kel'Thuzad"], 1114 }
      }
    },
    {
      L["The Obsidian Sanctum"],
      {
        { L["Tenebron"], 736 },
        { L["Shadron"], 738 },
        { L["Vesperon"], 740 },
        { L["Sartharion"], 742 },
      }
    },
    {
      L["The Eye of Eternity"],
      {
        { L["Malygos"], 734 },
      }
    },
    {
      L["Ulduar"],
      {
        -- The Siege of Ulduar
        { L["Flame Leviathan"], 744 },
        { L["Ignis the Furnace Master"], 745 },
        { L["Razorscale"], 746 },
        { L["XT-002 Deconstructor"], 747 },
        -- The Antechamber of Ulduar
        { L["Assembly of Iron"], 748 },
        { L["Kologarn"], 749 },
        { L["Auriaya"], 750 },
        -- The Keepers of Ulduar
        { L["Freya"], 753 },
        { L["Hodir"], 751 },
        { L["Mimiron"], 754 },
        { L["Thorim"], 752 },
        -- The Descent into Madness
        { L["General Vezax"], 755 },
        { L["Yogg-Saron"], 756 },
        -- Celestial Planetarium
        { L["Algalon the Observer"], 757 },
      }
    },
    {
      L["Trial of the Crusader"],
      {
        { L["Northrend Beasts"], 629 },
        { L["Lord Jaraxxus"], 633 },
        { L["Faction Champions"], 637 },
        { L["Val'kyr Twins"], 641 },
        { L["Anub'arak"], 645 },
      }
    },
    {
      L["Onyxia's Lair"],
      {
        { L["Onyxia"], 1084 },
      }
    },
    {
      L["Icecrown Citadel"],
      {
        -- The Lower Spire
        { L["Lord Marrowgar"], 845 },
        { L["Lady Deathwhisper"], 846 },
        { L["Gunship Battle"], 847 },
        { L["Deathbringer Saurfang"], 848 },
        -- The Plagueworks
        { L["Festergut"], 849 },
        { L["Rotface"], 850 },
        { L["Professor Putricide"], 851 },
        -- The Crimson Hall
        { L["Blood Prince Council"], 852 },
        { L["Blood-Queen Lana'thel"], 853 },
        -- The Frostwing Halls
        { L["Valithria Dreamwalker"], 854 },
        { L["Sindragosa"], 855 },
        -- The Frozen Throne
        { L["The Lich King"], 856 },
      }
    },
    {
      L["The Ruby Sanctum"],
      {
        { L["Baltharus the Warborn"], 890 },
        { L["General Zarithrian"], 893 },
        { L["Saviana Ragefire"], 891 },
        { L["Halion"], 887 },
      }
    },
  }
  for _, raid in ipairs(raids) do
    encounter_list = ("%s|cffffd200%s|r\n"):format(encounter_list, raid[1])
    for _, boss in ipairs(raid[2]) do
        encounter_list = ("%s%s: %d\n"):format(encounter_list, boss[1], boss[2])
    end
    encounter_list = encounter_list .. "\n"
  end

  encounter_list = encounter_list:sub(1, -3) .. "\n\n" .. L["Supports multiple entries, separated by commas\n"]
end

function Private.get_encounters_list()
  return encounter_list
end

function Private.get_zoneId_list()
  return ""
end

Private.talentInfo = {
  ["HUNTER"] = {
    {
      461117, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [1]
    {
      461112, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [2]
    {
      132210, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [3]
    {
      461118, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [4]
    {
      132160, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [5]
    {
      132179, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [6]
    {
      134296, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [7]
    {
      132121, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [8]
    {
      132173, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [9]
    {
      461846, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [10]
    {
      236184, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [11]
    {
      132127, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [12]
    {
      236357, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [13]
    {
      236177, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [14]
    {
      236186, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [15]
    {
      132166, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [16]
    {
      236202, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [17]
    {
      236175, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [18]
    {
      236190, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [19]
    nil, -- [20]
    nil, -- [21]
    nil, -- [22]
    nil, -- [23]
    nil, -- [24]
    nil, -- [25]
    nil, -- [26]
    nil, -- [27]
    nil, -- [28]
    {
      132205, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [29]
    {
      236179, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [30]
    {
      132174, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [31]
    {
      461121, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [32]
    {
      132217, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [33]
    {
      236182, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [34]
    {
      132206, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [35]
    {
      461115, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [36]
    {
      132222, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [37]
    {
      132329, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [38]
    {
      132345, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [39]
    {
      132177, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [40]
    {
      461120, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [41]
    {
      236201, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [42]
    {
      132323, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [43]
    {
      461119, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [44]
    {
      236173, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [45]
    {
      236176, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [46]
    {
      236198, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [47]
    nil, -- [48]
    nil, -- [49]
    nil, -- [50]
    nil, -- [51]
    nil, -- [52]
    nil, -- [53]
    nil, -- [54]
    nil, -- [55]
    nil, -- [56]
    {
      236183, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [57]
    {
      136100, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [58]
    {
      236180, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [59]
    {
      132293, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [60]
    {
      132336, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [61]
    {
      132204, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [62]
    {
      236185, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [63]
    {
      132207, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [64]
    {
      133713, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [65]
    {
      132378, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [66]
    {
      135125, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [67]
    {
      236199, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [68]
    {
      236200, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [69]
    {
      236181, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [70]
    {
      236187, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [71]
    {
      136181, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [72]
    {
      304583, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [73]
    {
      132216, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [74]
    {
      132149, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [75]
    {
      132209, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [76]
    [85] = {
      "HunterBeastMastery", -- [1]
      "HunterMarksmanship", -- [2]
      "HunterSurvival", -- [3]
    },
  },
  ["WARRIOR"] = {
    {
      132090, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [1]
    {
      236397, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [2]
    {
      132175, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [3]
    {
      132306, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [4]
    {
      132364, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [5]
    {
      132335, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [6]
    {
      132346, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [7]
    {
      236303, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [8]
    {
      132334, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [9]
    {
      458970, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [10]
    {
      236317, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [11]
    {
      236276, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [12]
    {
      458973, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [13]
    {
      132312, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [14]
    {
      133675, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [15]
    {
      133542, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [16]
    {
      298660, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [17]
    {
      136031, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [18]
    {
      132316, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [19]
    {
      132340, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [20]
    nil, -- [21]
    nil, -- [22]
    nil, -- [23]
    nil, -- [24]
    nil, -- [25]
    nil, -- [26]
    nil, -- [27]
    nil, -- [28]
    {
      133074, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [29]
    {
      132292, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [30]
    {
      136218, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [31]
    {
      136224, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [32]
    {
      136147, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [33]
    {
      136075, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [34]
    {
      136146, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [35]
    {
      236308, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [36]
    {
      132152, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [37]
    {
      460959, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [38]
    {
      135358, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [39]
    {
      460958, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [40]
    {
      132352, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [41]
    {
      236306, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [42]
    {
      236316, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [43]
    {
      458974, -- [1]
      7, -- [2]
      3, -- [3]
    }, -- [44]
    {
      458971, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [45]
    {
      458975, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [46]
    {
      132215, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [47]
    {
      135396, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [48]
    {
      132339, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [49]
    nil, -- [50]
    nil, -- [51]
    nil, -- [52]
    nil, -- [53]
    nil, -- [54]
    nil, -- [55]
    nil, -- [56]
    {
      236309, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [57]
    {
      134952, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [58]
    {
      132453, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [59]
    {
      132353, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [60]
    {
      132359, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [61]
    {
      135892, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [62]
    {
      132325, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [63]
    {
      460957, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [64]
    {
      135871, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [65]
    {
      134947, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [66]
    {
      135291, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [67]
    {
      458976, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [68]
    {
      236311, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [69]
    {
      236318, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [70]
    {
      236319, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [71]
    {
      236315, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [72]
    {
      236312, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [73]
    {
      132110, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [74]
    {
      236351, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [75]
    {
      132342, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [76]
    [85] = {
      "WarriorArms", -- [1]
      "WarriorFury", -- [2]
      "WarriorProtection", -- [3]
    },
  },
  ["SHAMAN"] = {
    {
      135817, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [1]
    {
      135807, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [2]
    {
      459025, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [3]
    {
      136115, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [4]
    {
      136170, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [5]
    {
      135850, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [6]
    {
      136094, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [7]
    {
      136099, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [8]
    {
      136028, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [9]
    {
      451165, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [10]
    {
      237576, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [11]
    {
      237583, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [12]
    {
      135829, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [13]
    {
      451169, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [14]
    {
      136011, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [15]
    {
      252174, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [16]
    {
      136014, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [17]
    {
      136100, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [18]
    {
      136111, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [19]
    nil, -- [20]
    nil, -- [21]
    nil, -- [22]
    nil, -- [23]
    nil, -- [24]
    nil, -- [25]
    nil, -- [26]
    nil, -- [27]
    nil, -- [28]
    {
      132152, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [29]
    {
      348567, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [30]
    {
      136051, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [31]
    {
      135814, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [32]
    {
      135892, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [33]
    {
      132314, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [34]
    {
      136110, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [35]
    {
      136088, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [36]
    {
      237587, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [37]
    {
      136024, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [38]
    {
      237584, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [39]
    {
      237577, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [40]
    {
      135825, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [41]
    {
      451166, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [42]
    {
      451168, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [43]
    {
      135791, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [44]
    {
      135776, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [45]
    {
      136008, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [46]
    {
      136027, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [47]
    nil, -- [48]
    nil, -- [49]
    nil, -- [50]
    nil, -- [51]
    nil, -- [52]
    nil, -- [53]
    nil, -- [54]
    nil, -- [55]
    nil, -- [56]
    {
      136109, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [57]
    {
      132315, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [58]
    {
      136037, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [59]
    {
      135861, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [60]
    {
      136076, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [61]
    {
      135859, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [62]
    {
      136057, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [63]
    {
      136059, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [64]
    {
      136060, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [65]
    {
      237573, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [66]
    {
      237571, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [67]
    {
      237590, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [68]
    {
      252995, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [69]
    {
      236288, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [70]
    {
      462651, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [71]
    {
      252271, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [72]
    {
      135990, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [73]
    {
      237556, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [74]
    {
      136079, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [75]
    {
      237586, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [76]
    [85] = {
      "ShamanElementalCombat", -- [1]
      "ShamanEnhancement", -- [2]
      "ShamanRestoration", -- [3]
    },
  },
  ["MAGE"] = {
    {
      136071, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [1]
    {
      136170, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [2]
    {
      135856, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [3]
    {
      135737, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [4]
    {
      135736, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [5]
    {
      136031, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [6]
    {
      135752, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [7]
    {
      135732, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [8]
    {
      136048, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [9]
    {
      236219, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [10]
    {
      236223, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [11]
    {
      134104, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [12]
    {
      136091, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [13]
    {
      236221, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [14]
    {
      236222, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [15]
    {
      135754, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [16]
    {
      429382, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [17]
    {
      136096, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [18]
    {
      429383, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [19]
    {
      135735, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [20]
    nil, -- [21]
    {
      136116, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [22]
    nil, -- [23]
    nil, -- [24]
    nil, -- [25]
    nil, -- [26]
    nil, -- [27]
    nil, -- [28]
    {
      135807, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [29]
    {
      135818, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [30]
    {
      429590, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [31]
    {
      135821, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [32]
    {
      136115, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [33]
    {
      135806, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [34]
    {
      135820, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [35]
    {
      135827, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [36]
    {
      135903, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [37]
    {
      135788, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [38]
    {
      135789, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [39]
    {
      135824, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [40]
    {
      135822, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [41]
    {
      134153, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [42]
    {
      236218, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [43]
    {
      236220, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [44]
    {
      135826, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [45]
    {
      236216, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [46]
    {
      252268, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [47]
    {
      135817, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [48]
    {
      236218, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [49]
    nil, -- [50]
    nil, -- [51]
    nil, -- [52]
    nil, -- [53]
    nil, -- [54]
    nil, -- [55]
    nil, -- [56]
    {
      135854, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [57]
    {
      135864, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [58]
    {
      135838, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [59]
    {
      429385, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [60]
    {
      135837, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [61]
    {
      135865, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [62]
    {
      236227, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [63]
    {
      236209, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [64]
    {
      135988, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [65]
    {
      236206, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [66]
    {
      135833, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [67]
    {
      236214, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [68]
    {
      429386, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [69]
    {
      135845, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [70]
    {
      135849, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [71]
    {
      430840, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [72]
    {
      135852, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [73]
    {
      135861, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [74]
    {
      135859, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [75]
    [85] = {
      "MageArcane", -- [1]
      "MageFire", -- [2]
      "MageFrost", -- [3]
    },
  },
  ["PRIEST"] = {
    {
      135969, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [1]
    {
      135926, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [2]
    {
      135863, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [3]
    {
      135895, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [4]
    {
      132156, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [5]
    {
      253400, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [6]
    {
      458412, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [7]
    {
      458722, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [8]
    {
      237539, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [9]
    {
      135939, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [10]
    {
      237548, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [11]
    {
      458227, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [12]
    {
      135936, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [13]
    {
      237543, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [14]
    {
      135940, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [15]
    {
      135923, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [16]
    {
      237538, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [17]
    {
      458225, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [18]
    {
      458720, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [19]
    {
      135871, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [20]
    {
      236225, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [21]
    nil, -- [22]
    nil, -- [23]
    nil, -- [24]
    nil, -- [25]
    nil, -- [26]
    nil, -- [27]
    nil, -- [28]
    {
      135971, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [29]
    {
      135913, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [30]
    {
      135928, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [31]
    {
      237549, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [32]
    {
      135905, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [33]
    {
      135982, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [34]
    {
      236254, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [35]
    {
      135887, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [36]
    {
      237550, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [37]
    {
      237542, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [38]
    {
      135953, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [39]
    {
      135980, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [40]
    {
      521584, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [41]
    {
      458228, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [42]
    {
      135954, -- [1]
      2, -- [2]
      2, -- [3]
      19236, -- [4]
    }, -- [43]
    {
      132864, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [44]
    {
      135878, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [45]
    {
      458721, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [46]
    {
      135981, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [47]
    {
      133739, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [48]
    {
      236249, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [49]
    nil, -- [50]
    nil, -- [51]
    nil, -- [52]
    nil, -- [53]
    nil, -- [54]
    nil, -- [55]
    nil, -- [56]
    {
      458226, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [57]
    {
      136207, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [58]
    {
      136184, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [59]
    {
      136224, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [60]
    {
      135994, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [61]
    {
      458230, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [62]
    {
      136230, -- [1]
      4, -- [2]
      2, -- [3]
      15286, -- [4]
    }, -- [63]
    {
      237569, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [64]
    {
      252996, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [65]
    {
      136200, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [66]
    {
      237570, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [67]
    {
      458229, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [68]
    {
      237568, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [69]
    {
      135978, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [70]
    {
      237567, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [71]
    {
      237563, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [72]
    {
      135945, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [73]
    {
      134336, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [74]
    {
      132299, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [75]
    {
      237566, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [76]
    {
      136176, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [77]
    [85] = {
      "PriestDiscipline", -- [1]
      "PriestHoly", -- [2]
      "PriestShadow", -- [3]
    },
  },
  ["WARLOCK"] = {
    {
      136139, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [1]
    {
      136118, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [2]
    {
      136126, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [3]
    {
      460700, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [4]
    {
      136183, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [5]
    {
      136223, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [6]
    {
      136198, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [7]
    {
      136162, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [8]
    {
      236295, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [9]
    {
      136147, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [10]
    {
      237557, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [11]
    {
      236296, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [12]
    {
      236298, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [13]
    {
      136166, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [14]
    {
      460699, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [15]
    {
      460857, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [16]
    {
      136193, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [17]
    {
      136188, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [18]
    nil, -- [19]
    nil, -- [20]
    nil, -- [21]
    nil, -- [22]
    nil, -- [23]
    nil, -- [24]
    nil, -- [25]
    nil, -- [26]
    nil, -- [27]
    nil, -- [28]
    {
      460697, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [29]
    {
      136172, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [30]
    {
      136168, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [31]
    {
      136164, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [32]
    {
      136171, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [33]
    {
      236301, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [34]
    {
      135808, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [35]
    {
      237562, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [36]
    {
      237558, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [37]
    {
      236292, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [38]
    {
      460694, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [39]
    {
      460698, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [40]
    {
      136185, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [41]
    {
      136082, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [42]
    {
      460696, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [43]
    {
      135265, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [44]
    {
      237564, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [45]
    {
      136150, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [46]
    {
      136192, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [47]
    nil, -- [48]
    nil, -- [49]
    nil, -- [50]
    nil, -- [51]
    nil, -- [52]
    nil, -- [53]
    nil, -- [54]
    nil, -- [55]
    nil, -- [56]
    {
      136196, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [57]
    {
      136146, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [58]
    {
      135808, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [59]
    {
      136191, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [60]
    {
      135823, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [61]
    {
      135817, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [62]
    {
      460695, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [63]
    {
      136178, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [64]
    {
      136214, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [65]
    {
      236290, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [66]
    {
      136201, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [67]
    {
      236294, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [68]
    {
      236297, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [69]
    {
      236291, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [70]
    {
      135826, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [71]
    {
      460952, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [72]
    {
      135827, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [73]
    {
      135805, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [74]
    {
      135796, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [75]
    [85] = {
      "WarlockCurses", -- [1]
      "WarlockSummoning", -- [2]
      "WarlockDestruction", -- [3]
    },
  },
  ["DRUID"] = {
    {
      136006, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [1]
    {
      136087, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [2]
    {
      136062, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [3]
    {
      252188, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [4]
    {
      236154, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [5]
    {
      236205, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [6]
    {
      132113, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [7]
    {
      341763, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [8]
    {
      236163, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [9]
    {
      236704, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [10]
    {
      132129, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [11]
    {
      132371, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [12]
    {
      236168, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [13]
    {
      236150, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [14]
    {
      136036, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [15]
    {
      135138, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [16]
    {
      236170, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [17]
    {
      135730, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [18]
    {
      132123, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [19]
    {
      236216, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [20]
    nil, -- [21]
    nil, -- [22]
    nil, -- [23]
    nil, -- [24]
    nil, -- [25]
    nil, -- [26]
    nil, -- [27]
    nil, -- [28]
    {
      134355, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [29]
    {
      136095, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [30]
    {
      132183, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [31]
    {
      304501, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [32]
    {
      132130, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [33]
    {
      132134, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [34]
    {
      132114, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [35]
    {
      236169, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [36]
    {
      132318, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [37]
    {
      236159, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [38]
    {
      136112, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [39]
    {
      132242, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [40]
    {
      237347, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [41]
    {
      236164, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [42]
    {
      236149, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [43]
    {
      132091, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [44]
    {
      237513, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [45]
    {
      236158, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [46]
    {
      132278, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [47]
    {
      132185, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [48]
    {
      132121, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [49]
    {
      135881, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [50]
    nil, -- [51]
    nil, -- [52]
    nil, -- [53]
    nil, -- [54]
    nil, -- [55]
    nil, -- [56]
    {
      237586, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [57]
    {
      136116, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [58]
    {
      136081, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [59]
    {
      136076, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [60]
    {
      236155, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [61]
    {
      136085, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [62]
    {
      134222, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [63]
    {
      132124, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [64]
    {
      132137, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [65]
    {
      236166, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [66]
    {
      132145, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [67]
    {
      236161, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [68]
    {
      236153, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [69]
    {
      132125, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [70]
    {
      236288, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [71]
    {
      236740, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [72]
    {
      236160, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [73]
    {
      136041, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [74]
    {
      237472, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [75]
    {
      135879, -- [1]
      1, -- [2]
      4, -- [3]
    }, -- [76]
    {
      237578, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [77]
    [85] = {
      "DruidBalance", -- [1]
      "DruidFeralCombat", -- [2]
      "DruidRestoration", -- [3]
    },
  },
  ["ROGUE"] = {
    {
      132109, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [1]
    {
      132122, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [2]
    {
      132292, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [3]
    {
      132090, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [4]
    {
      132354, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [5]
    {
      135988, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [6]
    {
      132205, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [7]
    {
      236281, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [8]
    {
      132293, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [9]
    {
      132108, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [10]
    {
      132301, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [11]
    {
      236270, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [12]
    {
      236269, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [13]
    {
      458726, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [14]
    {
      458727, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [15]
    {
      458797, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [16]
    {
      136147, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [17]
    {
      458736, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [18]
    {
      132286, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [19]
    nil, -- [20]
    nil, -- [21]
    nil, -- [22]
    nil, -- [23]
    nil, -- [24]
    nil, -- [25]
    nil, -- [26]
    nil, -- [27]
    nil, -- [28]
    {
      132222, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [29]
    {
      136047, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [30]
    {
      136189, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [31]
    {
      132155, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [32]
    {
      136206, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [33]
    {
      132219, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [34]
    {
      132307, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [35]
    {
      132275, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [36]
    {
      132283, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [37]
    {
      135673, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [38]
    {
      132306, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [39]
    {
      236282, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [40]
    {
      132100, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [41]
    {
      236277, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [42]
    {
      457635, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [43]
    {
      458730, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [44]
    {
      458731, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [45]
    {
      135407, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [46]
    {
      236278, -- [1]
      6, -- [2]
      1, -- [3]
    }, -- [47]
    nil, -- [48]
    nil, -- [49]
    nil, -- [50]
    nil, -- [51]
    nil, -- [52]
    nil, -- [53]
    nil, -- [54]
    nil, -- [55]
    nil, -- [56]
    {
      132320, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [57]
    {
      136159, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [58]
    {
      135994, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [59]
    {
      236268, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [60]
    {
      132282, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [61]
    {
      460693, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [62]
    {
      136183, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [63]
    {
      136168, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [64]
    {
      135315, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [65]
    {
      132285, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [66]
    {
      236286, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [67]
    {
      236275, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [68]
    {
      236280, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [69]
    {
      236279, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [70]
    {
      132340, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [71]
    {
      132295, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [72]
    {
      457636, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [73]
    {
      132291, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [74]
    {
      458734, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [75]
    [85] = {
      "RogueAssassination", -- [1]
      "RogueCombat", -- [2]
      "RogueSubtlety", -- [3]
    },
  },
  ["PALADIN"] = {
    {
      135921, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [1]
    {
      135917, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [2]
    {
      135903, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [3]
    {
      236251, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [4]
    {
      135872, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [5]
    {
      135876, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [6]
    {
      236261, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [7]
    {
      236256, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [8]
    {
      236254, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [9]
    {
      236247, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [10]
    {
      236394, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [11]
    {
      135895, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [12]
    {
      461859, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [13]
    {
      461857, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [14]
    {
      460953, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [15]
    {
      134909, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [16]
    {
      460689, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [17]
    {
      135920, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [18]
    {
      135875, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [19]
    {
      460690, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [20]
    nil, -- [21]
    nil, -- [22]
    nil, -- [23]
    nil, -- [24]
    nil, -- [25]
    nil, -- [26]
    nil, -- [27]
    nil, -- [28]
    {
      133526, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [29]
    {
      135892, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [30]
    {
      253400, -- [1]
      5, -- [2]
      4, -- [3]
    }, -- [31]
    {
      135963, -- [1]
      2, -- [2]
      3, -- [3]
    }, -- [32]
    {
      236264, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [33]
    {
      135926, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [34]
    {
      136051, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [35]
    {
      135870, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [36]
    {
      135880, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [37]
    {
      135896, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [38]
    {
      236259, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [39]
    {
      236253, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [40]
    {
      135985, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [41]
    {
      133562, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [42]
    {
      135882, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [43]
    {
      133176, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [44]
    {
      236252, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [45]
    {
      236265, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [46]
    {
      135433, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [47]
    {
      135883, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [48]
    nil, -- [49]
    nil, -- [50]
    nil, -- [51]
    nil, -- [52]
    nil, -- [53]
    nil, -- [54]
    nil, -- [55]
    nil, -- [56]
    {
      135897, -- [1]
      5, -- [2]
      3, -- [3]
    }, -- [57]
    {
      132347, -- [1]
      4, -- [2]
      3, -- [3]
    }, -- [58]
    {
      135904, -- [1]
      1, -- [2]
      1, -- [3]
    }, -- [59]
    {
      135889, -- [1]
      1, -- [2]
      2, -- [3]
    }, -- [60]
    {
      236246, -- [1]
      3, -- [2]
      2, -- [3]
    }, -- [61]
    {
      135942, -- [1]
      5, -- [2]
      2, -- [3]
    }, -- [62]
    {
      236257, -- [1]
      3, -- [2]
      1, -- [3]
    }, -- [63]
    {
      236262, -- [1]
      4, -- [2]
      4, -- [3]
    }, -- [64]
    {
      236260, -- [1]
      6, -- [2]
      2, -- [3]
    }, -- [65]
    {
      236250, -- [1]
      3, -- [2]
      4, -- [3]
    }, -- [66]
    {
      236249, -- [1]
      4, -- [2]
      1, -- [3]
    }, -- [67]
    {
      236248, -- [1]
      6, -- [2]
      3, -- [3]
    }, -- [68]
    {
      237547, -- [1]
      7, -- [2]
      2, -- [3]
    }, -- [69]
    {
      134916, -- [1]
      2, -- [2]
      2, -- [3]
    }, -- [70]
    {
      252269, -- [1]
      5, -- [2]
      1, -- [3]
    }, -- [71]
    {
      237486, -- [1]
      4, -- [2]
      2, -- [3]
    }, -- [72]
    {
      236258, -- [1]
      3, -- [2]
      3, -- [3]
    }, -- [73]
    {
      135937, -- [1]
      2, -- [2]
      4, -- [3]
    }, -- [74]
    {
      236255, -- [1]
      1, -- [2]
      3, -- [3]
    }, -- [75]
    {
      135964, -- [1]
      2, -- [2]
      1, -- [3]
    }, -- [76]
    [85] = {
      "PALADINHOLY", -- [1]
      "PALADINPROTECTION", -- [2]
      "PALADINCOMBAT", -- [3]
    },
  },
}
